wood burning stoves 2.0*
The moose likes EJB Certification (SCBCD/OCPJBCD) and the fly likes J2EE 1.3 & Windows XP Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login
JavaRanch » Java Forums » Certification » EJB Certification (SCBCD/OCPJBCD)
Bookmark "J2EE 1.3 & Windows XP" Watch "J2EE 1.3 & Windows XP" New topic
Author

J2EE 1.3 & Windows XP

Shopana Jaiashokan
Greenhorn

Joined: Apr 21, 2005
Posts: 6
Hi friends,
I am not able to install J2EE 1.3 in my system (OS : Win XP). Of course, it is given that the version is compatible with other versions of Windows rather than XP. I am preparing for SCBCD using HF EJB. I am wondering whether I can use J2EE 1.4 to prepare for the exam. Any one has same problem?

Thanks in Advance.
Regards,
Shopana.
Chengwei Lee
Ranch Hand

Joined: Apr 02, 2004
Posts: 884
Nope, the exam is based on J2EE 1.3. There're differences in 1.3 & 1.4. What problem did you faced in the installation? Perhaps you could explain in detail & see if anyone had a solution. Or, do a google search could give you the needed answer.


SCJP 1.4 * SCWCD 1.4 * SCBCD 1.3 * SCJA 1.0 * TOGAF 8
SandeepChicago Saini
Greenhorn

Joined: Mar 11, 2005
Posts: 29
I also facing the exact problem not able install j2ee 1.3 in windows xp (Home edition).

Desperate call for help from ranchers
Arun
Ranch Hand

Joined: Oct 03, 2003
Posts: 40
I have j2sdkee1.3.1 on my xp professional machine.. no problems so far... Not sure what problems you are facing.
SandeepChicago Saini
Greenhorn

Joined: Mar 11, 2005
Posts: 29
May be I have windows xp home edition it does not support j2ee 1.3. Please help me.
Shopana Jaiashokan
Greenhorn

Joined: Apr 21, 2005
Posts: 6
Hi Friends,
I am getting the following error when I try to install the j2ee package.

C:\WINDOWS\SYSTEM32\AUTOEXEC.NT. The system file is not suitable for running MS-DOS and Microsoft Windows application. Choose �close� to terminate the application

After that the application just terminates. I am able to install j2ee 1.4 successfully. I have Win XP Professional Edition.

Thanks,
Shopana
SandeepChicago Saini
Greenhorn

Joined: Mar 11, 2005
Posts: 29
I am getting the exact error in my pc I have Windows XP Home Edition. However, I am able to install j2ee 1.4.

Any sugesstions...
Shopana Jaiashokan
Greenhorn

Joined: Apr 21, 2005
Posts: 6
Hi Sandeep,
I installed J2EE 1.3 after I did the things mentioned in this link

http://support.microsoft.com/default.aspx?scid=kb;en-us;324767&Product=winxp

Try it out. It will definitely work. Let me know if you have any problem. But after installing the Server, i am having another problem. When I start the Application Server it is saying
'C:\Program' is not recognized as an internal or external command,
operable program or batch file.
Press any key to continue . . .

I set the Path already. Does any one know what's going wrong over here.

Thanks a lot,
Shopana
[ April 28, 2005: Message edited by: Shopana Jaiashokan ]
Arun
Ranch Hand

Joined: Oct 03, 2003
Posts: 40
How are you starting the application server? If you installed something in C:\Program Files and are using that to run then you might have to give the entire path within double quotes.. the balnk space in 'Progrm Files' might cause a problem.
Shopana Jaiashokan
Greenhorn

Joined: Apr 21, 2005
Posts: 6
Hi linoops,
Thanks a lot for your suggestion. I also had problem(some CORBA Exception) because of using j2sdk1.4, So I went back to 1.3 and every thing works fine now.

Thanks,
Shopana.
SandeepChicago Saini
Greenhorn

Joined: Mar 11, 2005
Posts: 29
Hi, Shopana

Thanks a lot for the link I am able to install j2ee 1.3 but what go is it if i am not able to use it.

Could please send me the link to download the Application server. I have download the lastest one for j2ee 1.4 and that's working fine can I use that? Also I have IBM websphere which is alos j2ee 1.4 can i use that?

Please let me know.
Keerthi P
Ranch Hand

Joined: Aug 19, 2003
Posts: 203
What version of IBM Websphere are you using? 5.x is J2EE1.3 compliant. 6.x is J2EE1.4 compliant.
[ April 30, 2005: Message edited by: Keerthi P ]

Cheers.<br />Keerthi<br />(SCJP, SCWCD, SCBCD)
SandeepChicago Saini
Greenhorn

Joined: Mar 11, 2005
Posts: 29
I have Ibm websphere 5.1. So it complient with j2ee 1.3
Shopana Jaiashokan
Greenhorn

Joined: Apr 21, 2005
Posts: 6
Hi Sandeep,

Download the FCS Release from this link. But unfortunately it works only with jdk 1.3 only. Higher versions gives me some CORBA exceptions.

http://java.sun.com/j2ee/1.3/download.html#sdk

Regards,
Shopana.
SandeepChicago Saini
Greenhorn

Joined: Mar 11, 2005
Posts: 29
Hi Shopana,

Thanks a lot for your help...You are lifesaver.

I have mock exam for the ejb certification you can email me.

My email address is go2saini@yahoo.com

Hopefully we would keep in touch.
SandeepChicago Saini
Greenhorn

Joined: Mar 11, 2005
Posts: 29
Hi Shopana,

I am trying to compile the first example of HFEJB using the comandline. But I am not able to create the class files for Advice.java, AdviceBean.java, AdvieHome.java.

Please guide me the I am desperatly banging my head for this example since last three days
Shopana Jaiashokan
Greenhorn

Joined: Apr 21, 2005
Posts: 6
Hi Sandeep,
Thanks for giving me model SCBCD exam. Please go thru the following link

http://www.coderanch.com/t/160001/java-EJB-SCBCD/certification/Advice-Client

I hope this helps.

-Shopana.
 
I agree. Here's the link: http://aspose.com/file-tools
 
subject: J2EE 1.3 & Windows XP